package com.gree.mall.manager.bean.material.manage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
@ApiModel
public class WebsitMPurchaseBean {

    @ApiModelProperty(value = "单号")
    private String purchaseId;

    @ApiModelProperty(value = "商户编号")
    private String companyWechatId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ApiModelProperty(value = "商品类型")
    private String goodsType;

    @ApiModelProperty(value = "供应商编号")
    private String venderId;

    @ApiModelProperty(value = "供应商名称")
    private String venderName;

    @ApiModelProperty(value = "仓储id")
    private String storageId;

    @ApiModelProperty(value = "仓储名称")
    private String storageName;

    @ApiModelProperty(value = "采购日期")
    private Date purchaseTime;

    @ApiModelProperty(value = "附件地址")
    private String imageUrl;

    @ApiModelProperty(value = "采购总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "单据状态 SAVE=保存 OK=通过 FAIL=失败")
    private String flag;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "核实备注")
    private String checkRemark;

    @ApiModelProperty(value = "审核备注")
    private String confirmRemark;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "审核人")
    private String confirmBy;

    @ApiModelProperty(value = "审核时间")
    private Date confirmTime;

    @ApiModelProperty(value = "提交人")
    private String submitBy;

    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    @ApiModelProperty(value = "核实人")
    private String checkBy;

    @ApiModelProperty(value = "核实时间")
    private Date checkTime;

    @ApiModelProperty(value = "是否导入数据 true=是 false=否")
    private Boolean isImport;

    @ApiModelProperty(value = "明细")
    List<WebsitMPurchaseItemBean> items;
}
